GtkDatabox: gtk/gtkdatabox_grid.h File Reference

GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Defines | Typedefs | Functions
gtk/gtkdatabox_grid.h File Reference
`#include <gtkdatabox_graph.h>`
Include dependency graph for gtkdatabox_grid.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | _GtkDataboxGrid
struct | _GtkDataboxGridClass
## Defines
#define | GTK_DATABOX_TYPE_GRID (gtk_databox_grid_get_type ())
#define | GTK_DATABOX_GRID(obj)
#define | GTK_DATABOX_GRID_CLASS(klass)
#define | GTK_DATABOX_IS_GRID(obj)
#define | GTK_DATABOX_IS_GRID_CLASS(klass)
#define | GTK_DATABOX_GRID_GET_CLASS(obj)
## Typedefs
typedef struct _GtkDataboxGrid | GtkDataboxGrid
typedef struct _GtkDataboxGridClass | GtkDataboxGridClass
typedef struct _GtkDataboxGridPrivate | GtkDataboxGridPrivate
## Functions
GType | gtk_databox_grid_get_type (void)
GtkDataboxGraph * | gtk_databox_grid_new (gint hlines, gint vlines, GdkColor *color, guint size)
GtkDataboxGraph * | gtk_databox_grid_array_new (gint hlines, gint vlines, gfloat *hline_vals, gfloat *vline_vals, GdkColor *color, guint size)
void | gtk_databox_grid_set_hlines (GtkDataboxGrid *grid, gint hlines)
gint | gtk_databox_grid_get_hlines (GtkDataboxGrid *grid)
void | gtk_databox_grid_set_vlines (GtkDataboxGrid *grid, gint vlines)
gint | gtk_databox_grid_get_vlines (GtkDataboxGrid *grid)
void | gtk_databox_grid_set_hline_vals (GtkDataboxGrid *grid, gfloat *hline_vals)
gfloat * | gtk_databox_grid_get_hline_vals (GtkDataboxGrid *grid)
void | gtk_databox_grid_set_vline_vals (GtkDataboxGrid *grid, gfloat *vline_vals)
gfloat * | gtk_databox_grid_get_vline_vals (GtkDataboxGrid *grid)

## Define Documentation

#define GTK_DATABOX_GRID | ( |  | obj | ) |

Value:

    (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                                               GTK_DATABOX_TYPE_GRID, \
                                               GtkDataboxGrid))

#define GTK_DATABOX_GRID_CLASS | ( |  | klass | ) |

Value:

    (G_TYPE_CHECK_CLASS_CAST ((klass), \
                                               GTK_DATABOX_TYPE_GRID, \
                                               GtkDataboxGridClass))

#define GTK_DATABOX_GRID_GET_CLASS | ( |  | obj | ) |

Value:

    (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                                               GTK_DATABOX_TYPE_GRID, \
                                               GtkDataboxGridClass))

#define GTK_DATABOX_IS_GRID | ( |  | obj | ) |

Value:

    (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                                               GTK_DATABOX_TYPE_GRID))

#define GTK_DATABOX_IS_GRID_CLASS | ( |  | klass | ) |

Value:

    (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                                               GTK_DATABOX_TYPE_GRID))

#define GTK_DATABOX_TYPE_GRID (gtk_databox_grid_get_type ())

SECTION:gtkdatabox_grid : A GtkDataboxGraph used for displaying a grid (like in an oscilloscope). gtkdatabox_grid.h : GtkDatabox, GtkDataboxGraph, GtkDataboxPoints, GtkDataboxLines, GtkDataboxBars, GtkDataboxMarkers

GtkDataboxGrid is a GtkDataboxGraph class for displaying a grid (like in an oscilloscope). You can determine the number of horizontal and vertical lines. When you zoom in, the grid is also zoomed along with the data.

## Typedef Documentation

typedef struct _GtkDataboxGrid GtkDataboxGrid

GtkDataboxGrid

GtkDataboxGrid is a GtkDataboxGraph class for displaying a grid (like in an oscilloscope). You can determine the number of horizontal and vertical lines. When you zoom in, the grid is also zoomed along with the data.

typedef struct _GtkDataboxGridClass GtkDataboxGridClass

typedef struct _GtkDataboxGridPrivate GtkDataboxGridPrivate

GtkDataboxGridPrivate

A private data structure used by the GtkDataboxGrid. It shields all internal things from developers who are just using the object.

## Function Documentation

GtkDataboxGraph* gtk_databox_grid_array_new | ( | gint | hlines,
|  | gint | vlines,
|  | gfloat * | local_hline_vals,
|  | gfloat * | local_vline_vals,
|  | GdkColor * | color,
|  | guint | size
| ) |  |

gtk_databox_grid_array_new: : number of horizontal lines in the grid : number of vertical lines in the grid : a pointer to an array of gfloat horizontal grid coordinate : a pointer to an array of gfloat vertical grid coordinate : color of the grid : line width of the grid

Creates a new GtkDataboxGrid object which can be added to a GtkDatabox widget as nice decoration for other graphs.

Return value: A new GtkDataboxGrid object

gfloat* gtk_databox_grid_get_hline_vals | ( | GtkDataboxGrid * | grid | ) |

gtk_databox_grid_get_hline_vals: : a GtkDataboxGrid graph object

Gets the pointer to the horizontal line values for the .

Return value: Pointer to the horizontal line values for the .

gint gtk_databox_grid_get_hlines | ( | GtkDataboxGrid * | grid | ) |

gtk_databox_grid_get_hlines: : a GtkDataboxGrid graph object

Gets the number of horizontal lines in the .

Return value: Number of horizontal lines in the .

GType gtk_databox_grid_get_type | ( | void |  | ) |

gfloat* gtk_databox_grid_get_vline_vals | ( | GtkDataboxGrid * | grid | ) |

gtk_databox_grid_get_vline_vals: : a GtkDataboxGrid graph object

Gets the pointer to the vertical line values for the .

Return value: Pointer to the vertical line values for the .

gint gtk_databox_grid_get_vlines | ( | GtkDataboxGrid * | grid | ) |

gtk_databox_grid_get_vlines: : a GtkDataboxGrid graph object

Gets the number of vertical lines in the .

Return value: Number of vertical lines in the .

GtkDataboxGraph* gtk_databox_grid_new | ( | gint | hlines,
|  | gint | vlines,
|  | GdkColor * | color,
|  | guint | size
| ) |  |

gtk_databox_grid_new: : number of horizontal lines in the grid : number of vertical lines in the grid : color of the grid : line width of the grid

Creates a new GtkDataboxGrid object which can be added to a GtkDatabox widget as nice decoration for other graphs.

Return value: A new GtkDataboxGrid object

void gtk_databox_grid_set_hline_vals | ( | GtkDataboxGrid * | grid,
|  | gfloat * | hline_vals
| ) |  |

gtk_databox_grid_set_hline_vals: : a GtkDataboxGrid graph object : sets the pointer to the hline values for the grid

Sets the pointer to the horizontal lines in the .

void gtk_databox_grid_set_hlines | ( | GtkDataboxGrid * | grid,
|  | gint | hlines
| ) |  |

gtk_databox_grid_set_hlines: : a GtkDataboxGrid graph object : number of vertical lines in the grid

Sets the number of horizontal lines in the .

void gtk_databox_grid_set_vline_vals | ( | GtkDataboxGrid * | grid,
|  | gfloat * | vline_vals
| ) |  |

gtk_databox_grid_set_vline_vals: : a GtkDataboxGrid graph object : sets the pointer to the vline values for the grid

Sets the pointer to the vertical lines in the .

void gtk_databox_grid_set_vlines | ( | GtkDataboxGrid * | grid,
|  | gint | vlines
| ) |  |

gtk_databox_grid_set_vlines: : a GtkDataboxGrid graph object : number of vertical lines in the grid

Sets the number of vertical lines in the .

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines